Package fr.gouv.vitam.metadata.core.model

# Class UpdatedDocument

java.lang.Object
fr.gouv.vitam.metadata.core.model.UpdatedDocument

public class UpdatedDocument extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `UpdatedDocument.UpdatedDocumentStatus`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdatedDocument()`
  `UpdatedDocument(String documentId, com.fasterxml.jackson.databind.JsonNode beforeUpdate, com.fasterxml.jackson.databind.JsonNode afterUpdate, boolean updated)`
  `UpdatedDocument(String documentId, com.fasterxml.jackson.databind.JsonNode beforeUpdate, com.fasterxml.jackson.databind.JsonNode afterUpdate, boolean updated, MetadataValidationErrorCode validationErrorCode, String failureMessage)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonNode`
  `getAfterUpdate()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getBeforeUpdate()`
  `String`
  `getDocumentId()`
  `String`
  `getFailureMessage()`
  `UpdatedDocument.UpdatedDocumentStatus`
  `getStatus()`
  `MetadataValidationErrorCode`
  `getValidationErrorCode()`
  `boolean`
  `isUpdated()`
  `UpdatedDocument`
  `setAfterUpdate(com.fasterxml.jackson.databind.JsonNode afterUpdate)`
  `UpdatedDocument`
  `setBeforeUpdate(com.fasterxml.jackson.databind.JsonNode beforeUpdate)`
  `UpdatedDocument`
  `setDocumentId(MetadataValidationErrorCode validationErrorCode)`
  `UpdatedDocument`
  `setDocumentId(String documentId)`
  `UpdatedDocument`
  `setFailureMessage(String failureMessage)`
  `UpdatedDocument`
  `setStatus(UpdatedDocument.UpdatedDocumentStatus status)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UpdatedDocument

    public UpdatedDocument()

  - ### UpdatedDocument

    public UpdatedDocument(String documentId, com.fasterxml.jackson.databind.JsonNode beforeUpdate, com.fasterxml.jackson.databind.JsonNode afterUpdate, boolean updated)

  - ### UpdatedDocument

    public UpdatedDocument(String documentId, com.fasterxml.jackson.databind.JsonNode beforeUpdate, com.fasterxml.jackson.databind.JsonNode afterUpdate, boolean updated, MetadataValidationErrorCode validationErrorCode, String failureMessage)

- ## Method Details

  - ### getDocumentId

    public String getDocumentId()

  - ### getStatus

    public UpdatedDocument.UpdatedDocumentStatus getStatus()

  - ### getFailureMessage

    public String getFailureMessage()

  - ### getValidationErrorCode

    public MetadataValidationErrorCode getValidationErrorCode()

  - ### setDocumentId

    public UpdatedDocument setDocumentId(String documentId)

  - ### setDocumentId

    public UpdatedDocument setDocumentId(MetadataValidationErrorCode validationErrorCode)

  - ### setFailureMessage

    public UpdatedDocument setFailureMessage(String failureMessage)

  - ### setStatus

    public UpdatedDocument setStatus(UpdatedDocument.UpdatedDocumentStatus status)

  - ### getBeforeUpdate

    public com.fasterxml.jackson.databind.JsonNode getBeforeUpdate()

  - ### setBeforeUpdate

    public UpdatedDocument setBeforeUpdate(com.fasterxml.jackson.databind.JsonNode beforeUpdate)

  - ### getAfterUpdate

    public com.fasterxml.jackson.databind.JsonNode getAfterUpdate()

  - ### setAfterUpdate

    public UpdatedDocument setAfterUpdate(com.fasterxml.jackson.databind.JsonNode afterUpdate)

  - ### isUpdated

    public boolean isUpdated()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`